package com.jsh.erp.datasource.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Data
public class MaterialQueryDTO {

    @ApiModelProperty("商品类别ID")
    private Long categoryId;

    @ApiModelProperty("关键字")
    private String materialParam;

    @ApiModelProperty("规格")
    private String standard;

    @ApiModelProperty("型号")
    private String model;

    @ApiModelProperty("颜色")
    private String color;

    @ApiModelProperty("品牌")
    private String brand;

    @ApiModelProperty("启用状态 0-禁用  1-启用")
    private String enabled;

    @ApiModelProperty("是否开启序列号，0否，1是")
    private String enableSerialNumber;

    @ApiModelProperty("拓展信息")
    private String materialOther;

    @ApiModelProperty("基础重量")
    private String weight;

    @ApiModelProperty("商品提醒")
    private String reminder;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("商品类型ID集合")
    private List<Long> idList;

    @ApiModelProperty("保质期")
    private String expiryNum;

    @ApiModelProperty("是否开启批号，0否，1是")
    private String enableBatchNumber;

    @ApiModelProperty("库位")
    private String position;

    private String mpList;


}
