package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 商品单位
 */
@Data
public class MaterialUnit {

    @ApiModelProperty("主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("商品扩展id")
    private Long materialExtendId;

    @ApiModelProperty("单位比例")
    private Integer ratio;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("删除标记，0未删除，1删除")
    private Boolean deleteFlag;

    public MaterialUnit() {
    }

    public MaterialUnit(String name, Integer ratio) {
        this.ratio = ratio;
        this.name = name;
    }
}
