package com.jsh.erp.datasource.mappers;

import com.jsh.erp.datasource.entities.User;
import com.jsh.erp.datasource.entities.UserExample;
import java.util.List;

import com.jsh.erp.datasource.vo.SpinnerVO;
import org.apache.ibatis.annotations.Param;

public interface UserMapper extends BaseMapperX<User> {
    long countByExample(UserExample example);

    int deleteByExample(UserExample example);

    int deleteByPrimaryKey(Long id);

    int insert(User record);

    int insertSelective(User record);

    List<User> selectByExample(UserExample example);

    User selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") User record, @Param("example") UserExample example);

    int updateByExample(@Param("record") User record, @Param("example") UserExample example);

    int updateByPrimaryKeySelective(User record);

    int updateByPrimaryKey(User record);

    List<SpinnerVO> creatorSpinnerList();

    Long getAuditUserIds(@Param(value = "orgaId") Long orgaId);
}