package com.jsh.erp.datasource.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jsh.erp.datasource.entities.Audit;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class AuditVo extends Audit {

    @ApiModelProperty("单据号")
    private String number;

    @ApiModelProperty("节点顺序")
    private int nodeOrder;

    @ApiModelProperty("发起人名称")
    private String initiatorName;

    @ApiModelProperty("审核人名称")
    private String auditorName;

    @ApiModelProperty("审批时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;



}
