package com.jsh.erp.datasource.dto;

import com.jsh.erp.datasource.entities.DepotItem;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class DepotItemDTO extends DepotItem {

    private String unit;

    private BigDecimal preNumber;

    private BigDecimal finishNumber;

    private String mType;

    public void setId(String id) {
        if (id != null && id.length() > 19){
            super.setId(null);
        }else {
            super.setId(Long.parseLong(id));
        }
    }
}
