package com.jsh.erp.datasource.dto;

import com.alibaba.fastjson.JSONArray;
import com.jsh.erp.datasource.entities.Material;
import com.jsh.erp.datasource.entities.MaterialExtend;
import com.jsh.erp.datasource.entities.MaterialInitialStock;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 商品信息
 */
@Data
public class MaterialDTO extends Material {

    @ApiModelProperty("商品条码信息")
    private List<MaterialExtendDTO> meList;

    @ApiModelProperty("商品初始库存信息")
    private List<MaterialInitialStock> stock;

    //以下字段去除
    private JSONArray sortList;

    @ApiModelProperty("商品条码信息")
    private List<MaterialExtend> mbList;



}
