package com.jsh.erp.datasource.dto;

import com.jsh.erp.datasource.entities.MaterialExtend;
import com.jsh.erp.datasource.entities.MaterialUnit;
import com.jsh.erp.datasource.entities.MaterialUpc;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 商品拓展信息
 */
@Data
public class MaterialExtendDTO extends MaterialExtend {

    @ApiModelProperty("商品UPC集合")
    private List<MaterialUpc> upcList;

    @ApiModelProperty("商品单位集合")
    private List<MaterialUnit> unitList;

}
