package com.jsh.erp.datasource.vo;

import com.jsh.erp.datasource.entities.MaterialExtend;
import com.jsh.erp.datasource.entities.MaterialUnit;
import com.jsh.erp.datasource.entities.MaterialUpc;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class MaterialExtendVo extends MaterialExtend {

    @ApiModelProperty("商品UPC集合")
    private List<MaterialUpc> upcList;

    @ApiModelProperty("商品单位集合")
    private List<MaterialUnit> unitList;

}
